GLM: GLM_GTC_ulp

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTC_ulp
GTC Extensions (Stable)

## Functions
template<typename T >
GLM_FUNC_DECL uint | float_distance (T const &x, T const &y)
template<typename T , template< typename > class vecType>
GLM_FUNC_DECL vecType< uint > | float_distance (vecType< T > const &x, vecType< T > const &y)
template<typename genType >
GLM_FUNC_DECL genType | next_float (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | next_float (genType const &x, uint const &Distance)
template<typename genType >
GLM_FUNC_DECL genType | prev_float (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | prev_float (genType const &x, uint const &Distance)

## Detailed Description

Allow the measurement of the accuracy of a function against a reference implementation.

This extension works on floating-point data and provide results in ULP. <glm/gtc/ulp.hpp> need to be included to use these features.

## Function Documentation

GLM_FUNC_DECL uint glm::float_distance | ( | T const & | x,
|  | T const & | y
| ) |  |

Return the distance in the number of ULP between 2 scalars.

See Also
  GLM_GTC_ulp

GLM_FUNC_DECL vecType<uint> glm::float_distance | ( | vecType< T > const & | x,
|  | vecType< T > const & | y
| ) |  |

Return the distance in the number of ULP between 2 vectors.

See Also
  GLM_GTC_ulp

GLM_FUNC_DECL genType glm::next_float | ( | genType const & | x | ) |

Return the next ULP value(s) after the input value(s).

See Also
  GLM_GTC_ulp

GLM_FUNC_DECL genType glm::next_float | ( | genType const & | x,
|  | uint const & | Distance
| ) |  |

Return the value(s) ULP distance after the input value(s).

See Also
  GLM_GTC_ulp

GLM_FUNC_DECL genType glm::prev_float | ( | genType const & | x | ) |

Return the previous ULP value(s) before the input value(s).

See Also
  GLM_GTC_ulp

GLM_FUNC_DECL genType glm::prev_float | ( | genType const & | x,
|  | uint const & | Distance
| ) |  |

Return the value(s) ULP distance before the input value(s).

See Also
  GLM_GTC_ulp